Subject: bug#44872: GuixSD 1.2.0 installer fails with exception when formatting drive

From: Mathieu Othacehe <[email-masked]>
Date: Tue, 01 Dec 2020 10:46:58 +0100

Hey Tim,

> I successfully installed GNU Guix.
>
> The work around I used for this bug is I simply ran `sudo dd
> if=/dev/zero of=/dev/sda`. Basically, I think the existence of an old
> GPT partition table is causing problems on a new install though I'm not
> sure why.

Nice you found a work-around. I think I already hit this issue myself
without being able to reproduce it. Do you remember what was the
previous GPT layout of your drive? Maybe the distribution previously
installed?

Thanks,

Mathieu